import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.sandbox.getWorkspace({
sessionId: "demo-python-20260316",
sessionToken: "sandbox_test_20260316_4f9c2b1a",
});
console.log(result);
}
run();{
"session_id": "demo-python-20260316",
"files": [
{
"path": "inputs/config.json",
"size": 17,
"etag": "5d41402abc4b2a76b9719d911017c592"
},
{
"path": "outputs/report.txt",
"size": 24,
"etag": "7d793037a0760186574b0282f2f435e7"
}
],
"paths": [
"inputs/config.json",
"outputs/report.txt"
]
}List files currently stored in the session workspace, including paths, sizes, and etags.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.sandbox.getWorkspace({
sessionId: "demo-python-20260316",
sessionToken: "sandbox_test_20260316_4f9c2b1a",
});
console.log(result);
}
run();{
"session_id": "demo-python-20260316",
"files": [
{
"path": "inputs/config.json",
"size": 17,
"etag": "5d41402abc4b2a76b9719d911017c592"
},
{
"path": "outputs/report.txt",
"size": 24,
"etag": "7d793037a0760186574b0282f2f435e7"
}
],
"paths": [
"inputs/config.json",
"outputs/report.txt"
]
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Was this page helpful?